Bug 1457099 - [RFE][fix available] Add classification toolbar to libreoffice
Summary: [RFE][fix available] Add classification toolbar to libreoffice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1474303
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-31 06:39 UTC by Piyush Bhoot
Modified: 2018-04-10 12:04 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.3.6.1-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 12:03:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0751 0 None None None 2018-04-10 12:04:08 UTC

Description Piyush Bhoot 2017-05-31 06:39:21 UTC
1. Proposed title of this feature request
[RFE] Add classification toolbar to libreoffice
2. Who is the customer behind the request?
RHN-Account name of customer: 	Saudi Arabian Oil Company
Account Name: UMB AG	
Account Number	626726
Strategic:No

3. What is the nature and description of the request?
 Request to implement Classification Toolbar in libreoffice.

4.  Why does the customer need this? (List the business requirements here)

Information classification ensures that information gets tagged according to the defined levels: restricted, confidential, internal use only or public. From the time information is created until it is destroyed, it should be labeled with a classification designation to ensure it is protected, stored and managed appropriately. This labeling will prevent data leakage and prevent sensitive data to be shared to public and prevent information loss for the company.


5. How would the customer like to achieve this? (List the functional requirements here)

Easily tag levels: restricted, confidential, internal use only or public

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

Introduced in libreoffice 5.2
https://wiki.documentfoundation.org/ReleaseNotes/5.2#Classification_according_to_TSCP-standards

7. Does the customer have any specific timeline dependencies and which release would they like to target?

Not specified


8. Is the sales team involved in this request and do they have any additional input?
No

9. Would the customer be able to assist in testing this functionality if implemented?
Yes.

10. Addition info
http://vmiklos.hu/blog/classification-toolbar.html

Comment 3 Red Hat Bugzilla Rules Engine 2017-06-06 13:30:44 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Comment 5 Caolan McNamara 2017-07-12 07:19:38 UTC
yes..., do that. I'm unsure if it will be approved, but lets get a formal issue filed to decide that

Comment 6 Caolan McNamara 2017-11-08 12:01:41 UTC
get this for free now with rebase to 7.3

Comment 7 David Tardon 2017-11-15 17:06:29 UTC
I was too fast. pm_ack is still missing on this one...

Comment 15 errata-xmlrpc 2018-04-10 12:03:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0751


Note You need to log in before you can comment on or make changes to this bug.